Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thing.modules
Class PropertyUniverseActor

    java.lang.Object
      things.thing.BASE
          things.thing.MODULE
              things.thing.modules.PropertyUniverseActor

All Implemented Interfaces:
  BASEInterface, MODULEInterface

    public class PropertyUniverseActor

extends MODULE

Give us the ability to load and save local properties to a universe object.

NOTES:

Version:
  1.0

  Version History

      EPG - Initial - 26 FEB 07

Author:
  Erich P. Gatejen

Field Summary

Fields inherited from class things.thing.BASE
`localProperties, localSystemLogger, mySystemInterface`

Constructor Summary
`PropertyUniverseActor()`

Method Summary
`java.lang.String` | `GET_NAME()` Get the simple name.
`void` | `INITIALIZE()` This will be called during initialization.
`void` | `load(java.lang.String universeName, java.lang.String... universeObject)` Load local properties from the named universe in the named universe object.
`void` | `load(ThingsPropertyView properties, java.lang.String universeName, java.lang.String... universeObject)` Load properties from the named universe in the named universe object.
`void` | `save(java.lang.String universeName, java.lang.String path, java.lang.String... universeObject)` Save local properties starting with the given path to the named universe in the named universe object.
`void` | `save(ThingsPropertyView properties, java.lang.String universeName, java.lang.String path, java.lang.String... universeObject)` Save properties starting with the given path to the named universe in the named universe object.

Methods inherited from class things.thing.MODULE
`init`

Methods inherited from class things.thing.BASE
`CONFIG_PROPERTY_TOOLKIT, GET_LOGGER, GET_UNIVERSE_ACCESSOR, GET_UNIVERSE, PROPERTY_READER_TOOLKIT, systemInit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface things.thing.BASEInterface
`GET_LOGGER`

Constructor Detail

### PropertyUniverseActor

    public PropertyUniverseActor()

Method Detail

### INITIALIZE

    public void INITIALIZE()
                    throws UserException

  This will be called during initialization. Expect it to happen at any time; if the module is already in use, you should re-initialize it. The System Data fields will be set when this is called.

  Specified by:
    `INITIALIZE` in class `MODULE`
  Throws:
    `UserException`

### GET_NAME

    public java.lang.String GET_NAME()

  Get the simple name. The implementing class can choose it. It need not be unique. It is not a system ID! So don't use it as one. This can be called at any point after object construction (and before DEFINITION), so don't rely on additional setup.

  Specified by:
    `GET_NAME` in class `BASE`
  Returns:
    the name.

### save

    public void save(java.lang.String universeName,
                     java.lang.String path,
                     java.lang.String... universeObject)
              throws ThingsException

  Save local properties starting with the given path to the named universe in the named universe object.

  Parameters:
    `universeName` - the local name (as registered).
    `path` - the path for the properties to save. If left blank or null, it'll do all visible.
    `universeObject` - the universe object.
  Throws:
    `ThingsException` - if anything goes wrong.

### load

    public void load(java.lang.String universeName,
                     java.lang.String... universeObject)
              throws ThingsException

  Load local properties from the named universe in the named universe object.

  Parameters:
    `universeName` - the local name (as registered).
    `universeObject` - the universe object.
  Throws:
    `ThingsException` - if anything goes wrong.

### save

    public void save(ThingsPropertyView properties,
                     java.lang.String universeName,
                     java.lang.String path,
                     java.lang.String... universeObject)
              throws ThingsException

  Save properties starting with the given path to the named universe in the named universe object.

  Parameters:
    `properties` - properties view from where to save.
    `universeName` - the local name (as registered).
    `path` - the path for the properties to save. If left blank or null, it'll do all visible.
    `universeObject` - the universe object.
  Throws:
    `ThingsException` - if anything goes wrong.

### load

    public void load(ThingsPropertyView properties,
                     java.lang.String universeName,
                     java.lang.String... universeObject)
              throws ThingsException

  Load properties from the named universe in the named universe object.

  Parameters:
    `properties` - properties view where to load.
    `universeName` - the local name (as registered).
    `universeObject` - the universe object.
  Throws:
    `ThingsException` - if anything goes wrong.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.